Bug 1417393 - Unexpected dependencies pulled in
Summary: Unexpected dependencies pulled in
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qcad
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 16:51 UTC by John Florian
Modified: 2017-02-20 04:18 UTC (History)
1 user (show)

Fixed In Version: qcad-3.16.5.0-1.fc24 qcad-3.16.5.0-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-19 22:47:39 UTC
Type: Bug


Attachments (Terms of Use)

Description John Florian 2017-01-28 16:51:44 UTC
Description of problem:
I have a local command 'promote' that I just discovered bash wasn't completing fully because there's now a 'promoterwise' also matching.  Curious as to how that showed up out of the blue I traced that down to a 'wise2' package also installed which is summarized as "Tools for comparison of bio-polymers".  Um, ok.  I went to remove it and ...

$ sudo dnf remove wise2
Dependencies resolved.
=====================================================================================================================================
 Package                        Arch                   Version                                  Repository                      Size
=====================================================================================================================================
Removing:
 adwaita-qt5                    x86_64                 0.97-1.fc25                              @@commandline                  695 k
 qcad                           x86_64                 3.16.4.0-1.fc25                          @local-updates                 127 M
 qgnomeplatform                 x86_64                 0.2-13.20161205git.fc25                  @@commandline                  162 k
 wise2                          x86_64                 2.4.1-1.fc25                             @@commandline                   10 M

Transaction Summary
=====================================================================================================================================
Remove  4 Packages

Installed size: 138 M
Is this ok [y/N]: n

So I was rather surprised to see qcad there.  Maybe it's legit, but it sounds fishy, so here I am. Also, I use KDE Plasma so qgnomeplatform may be another unexpected dep.

Version-Release number of selected component (if applicable):
qcad-3.16.4.0-1.fc25.x86_64
wise2-2.4.1-1.fc25.x86_64
qgnomeplatform-0.2-13.20161205git.fc25.x86_64
adwaita-qt5-0.97-1.fc25.x86_64

Comment 1 Antonio T. (sagitter) 2017-01-28 17:24:28 UTC
qgnomeplatform and wise2 are both required by qcad, so yes it's correct.

Comment 2 Fedora Update System 2017-02-10 18:08:04 UTC
qcad-3.16.5.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a700d71cb8

Comment 3 Fedora Update System 2017-02-10 18:08:11 UTC
qcad-3.16.5.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3ce0440776

Comment 4 Fedora Update System 2017-02-11 16:48:26 UTC
qcad-3.16.5.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a700d71cb8

Comment 5 Fedora Update System 2017-02-11 17:21:09 UTC
qcad-3.16.5.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3ce0440776

Comment 6 Fedora Update System 2017-02-19 22:47:39 UTC
qcad-3.16.5.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-02-20 04:18:54 UTC
qcad-3.16.5.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.